Old 16th July 2022, 21:06   #1
Mikey7
Senior Member
 
Mikey7's Avatar
 
Join Date: Jul 2022
Location: Sierra Vista, AZ
Posts: 168
Podcast Directory requires Winamp 5.9?

I swear I have never noticed this before and I don't know if it just showed up but I'm getting a message now in the Podcast Directory in 5.666 (3516), "This version of the Podcast Directory requires Winamp 5.9." Please don't tell me I'm blind and that it has always been there.
Mikey7 is offline   Reply With Quote
Old 16th July 2022, 21:32   #2
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 36,088
No, it's only been there for the past few days.

There's been no working default Podcast Directory in any Winamp release for some years, not since around 2012 ish.

The jnetlib.w5s JSAPI was broken in v5.6 to 5.8.
Nothing happens when you click the Subscribe button.
Hence requiring v5.9 - which fixes it.

So your next question will obviously be... how/where do I get v5.9, right?

It's currently in testing phase.
Maybe we'll release a public RC within the next couple of weeks :-)
DJ Egg is offline   Reply With Quote
Old 16th July 2022, 22:18   #3
Mikey7
Senior Member
 
Mikey7's Avatar
 
Join Date: Jul 2022
Location: Sierra Vista, AZ
Posts: 168
Good to hear and thanks!
Mikey7 is offline   Reply With Quote
Old 16th July 2022, 22:23   #4
NJK
FRISIAN
 
NJK's Avatar
 
Join Date: Sep 2003
Location: in a house
Posts: 16,397
Quote:
Originally Posted by DJ Egg View Post

So your next question will obviously be... how/where do I get v5.9, right?

It's currently in testing phase.
Maybe we'll release a public RC within the next couple of weeks :-)
Best news we had in a very long time
NJK is offline   Reply With Quote
Old 22nd July 2022, 15:14   #5
thinktink
Forum King
 
thinktink's Avatar
 
Join Date: May 2009
Location: No longer on the streets of Kings County, CA.
Posts: 3,179
Was jnetlib.w5s updated or just the JSAPI?
thinktink is online now   Reply With Quote
Old 23rd July 2022, 01:32   #6
DJ Egg
Techorator
Winamp & Shoutcast Team
 
Join Date: Jun 2000
Posts: 36,088
It involved changes to Winamp\JSAPI2 & OpenSSL, jnetlib.w5s & ml_wire
DJ Egg is offline   Reply With Quote
Old 24th July 2022, 19:26   #7
ChocolateAdventurouz
Senior Member
 
ChocolateAdventurouz's Avatar
 
Join Date: Oct 2021
Location: In a solar system
Posts: 164
Well, the strange thing is that websites that still use JSAPI to support Winamp for their services, work fine.
ChocolateAdventurouz is offline   Reply With Quote
Old 25th July 2022, 11:56   #8
Mikey7
Senior Member
 
Mikey7's Avatar
 
Join Date: Jul 2022
Location: Sierra Vista, AZ
Posts: 168
Even though this isn't working because it requires 5.9, new features have been added, such as "podcast catagories" and I believe the search function is new. However, the "From Fanzone" tab doesn't work yet.
Mikey7 is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Winamp > Winamp Discussion

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump